C-----------------------------------------------------
      SUBROUTINE CLEARALL
C-----------------------------------------------------

      IMPLICIT NONE
C
      INTEGER NPLA, NCHA, LENSEV
      PARAMETER (NPLA=22,NCHA=96,LENSEV=NPLA*NCHA)
C
      INTEGER iev,iev2
      INTEGER contr
      integer stwerr(4),dumpo
      integer cstwerr(4), pstwerr(4), IEV3, merror(4)
C
      REAL DEXY(2,NPLA,NCHA), dexyc(2,npla,ncha), base(2,npla,6) 
      real calselftrig(4,7), calIItrig(4), calstripshit(4),
     &     calDSPtaberr(4), calevnum(4)
      REAL calped(4,11,96), calgood(4,11,96), calthr(4,11,6)
      REAL calrms(4,11,96), calbase(4,11,6), calvar(4,11,6)
      REAL calpuls(4,11,96)
      real perror(4), cperror(4), pperror(4)
C
      COMMON / evento / IEV, stwerr,perror,
     &     dexy,dexyc,base,
     &     calselftrig,calIItrig,
     &     calstripshit,calDSPtaberr,calevnum
      
      save / evento /

      COMMON / calib / IEV2, cstwerr, cperror,
     &     calped, calgood, calthr, calrms, 
     &     calbase, calvar

      save / calib /

      COMMON / calpul / IEV3, pstwerr, pperror,
     &     calpuls

      save / calpul /
c
      COMMON / VARIE / dumpo, CONTR, merror
      SAVE / VARIE /
C
      call azero(calped,4*11*96)
      call azero(calgood,4*11*96)
      call azero(calthr,4*11*6)
      call azero(calrms,4*11*96)
      call azero(calbase,4*11*6)
      call azero(calvar,4*11*6)
      call azero(calpuls,4*11*96)
      call azero(dexy,4*11*96)
      call azero(dexyc,4*11*96)
      call azero(base,4*11*6)
      call azero(calselftrig,4*7)
      call azero(calIItrig,4)
      call azero(calstripshit,4)
      call azero(calDSPtaberr,4)
      call azero(calevnum,4)
c
      return 
      end
